Get all units
https://api.propexo.com/v1/units/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The external unit id
Deprecated: Use the Propexo property_id instead
The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo property id
The Propexo integration id
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe integration vendor for the unit.
The number of the unit. When using this, the Propexo property_id filter must be added as well.
Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the unit
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
2The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
7c4e1a90-2b58-4f63-a1d7-e90c5b28f416The external ID of the floor plan from the integration vendor
This field will always be null for RESMAN
nullThe external ID of the unit type from the integration vendor
This field will always be null for RESMAN
nullThe number of bathrooms associated with the unit
This field will always be null for RESMAN
nullThe number of full bathrooms associated with the unit
This field will always be null for RESMAN
nullThe number of half bathrooms associated with the unit
This field will always be null for RESMAN
nullThe number of bedrooms associated with the unit
This field will always be null for RESMAN
nullThe building name associated with the unit
This field will always be null for RESMAN
nullThe building number associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
2The city associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
BostonThe country associated with the unit
This field will always be null for RESMAN
nullcustom_data object | nullrequired
The external ID of the floor plan associated with the unit
This field will always be null for RESMAN
nullThe floor plan name associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
2x1The floor number/name associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
2Whether the unit is available
This field will always be null for RESMAN
nullWhether the unit is furnished
This field will always be null for RESMAN
nullDEPRECATED: Use listings endpoints.
This field will always be null for RESMAN
nullWhether the unit is vacant
This field will always be null for RESMAN
nullThe unit number
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
204The market rent amount in cents for the unit
This field will always be null for RESMAN
nullThe maximum rent amount in cents
This field will always be null for RESMAN
nullThe minimum rent amount in cents
This field will always be null for RESMAN
nullThe square footage of the unit
This field will always be null for RESMAN
nullThe state associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
MADeprecated: Use address_1
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
Deprecated: Use address_2
This field will always be null for RESMAN
nullThe first address line associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
123 Freedom AveThe second address line associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
123 Freedom AveThe zip code associated with the unit
| Interface | Method |
|---|---|
| Property | /Property/GetUnits |
19212Whether or not pets are allowed
This field will always be null for RESMAN
nullWhether or not dogs are allowed
This field will always be null for RESMAN
nullWhether or not cats are allowed
This field will always be null for RESMAN
nullThe pet policy for the unit
This field will always be null for RESMAN
nullThe Propexo unique identifier for the floor plan
This field will always be null for RESMAN
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_RESTRESMANThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the unit type
This field will always be null for RESMAN
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/units/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "2",
"x_property_id": "7c4e1a90-2b58-4f63-a1d7-e90c5b28f416",
"x_floor_plan_id": null,
"x_unit_type_id": null,
"bathrooms": null,
"bathrooms_full": null,
"bathrooms_half": null,
"bedrooms": null,
"building_name": null,
"building_number": "2",
"city": "Boston",
"country": null,
"custom_data": "Unknown Type: object,null",
"floor_plan_code": null,
"floor_plan_name": "2x1",
"floor": "2",
"is_available": null,
"is_furnished": null,
"is_vacant": null,
"number": "204",
"rent_amount_market_in_cents": null,
"rent_amount_max_in_cents": null,
"rent_amount_min_in_cents": null,
"square_feet": null,
"state": "MA",
"address_1": "123 Freedom Ave",
"address_2": "123 Freedom Ave",
"zip": "19212",
"pets_allowed": null,
"dogs_allowed": null,
"cats_allowed": null,
"pet_policy": null,
"floor_plan_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_type_id": null
}
]
}